Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class AdjustmentType

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.quote.AdjustmentType

public final class AdjustmentType
extends java.lang.Object
implements java.io.Serializable

Specifies the available adjustment types. Only one object of each type exists.

See Also:
  Serialized Form

Field Summary
`static AdjustmentType` | `BASE_PRICE` object for the LINE_DISCOUNT type
`static int` | `I_BASE_PRICE` integer representing the BASE_PRICE type
`static int` | `I_ITEM_TAX` integer representing the ITEM_TAX type
`static int` | `I_LINE_DISCOUNT` integer representing the LINE_DISCOUNT type
`static int` | `I_ORDER_DISCOUNT` integer representing the ORDER_DISCOUNT type
`static int` | `I_ORDER_TAX` integer representing the ORDER_TAX type
`static int` | `I_SHIPPING` integer representing the SHIPPING type
`static int` | `I_SHIPPING_BASE_PRICE` integer representing the SHIPPING_BASE_PRICE type
`static int` | `I_SHIPPING_DISCOUNT` integer representing the SHIPPING_DISCOUNT type
`static AdjustmentType` | `ITEM_TAX` object for the LINE_DISCOUNT type
`static AdjustmentType` | `LINE_DISCOUNT` object for the LINE_DISCOUNT type
`static AdjustmentType` | `ORDER_DISCOUNT` object for the LINE_DISCOUNT type
`static AdjustmentType` | `ORDER_TAX` object for the LINE_DISCOUNT type
`static java.lang.String` | `S_BASE_PRICE` string representing the BASE_PRICE type
`static java.lang.String` | `S_ITEM_TAX` string representing the ITEM_TAX type
`static java.lang.String` | `S_LINE_DISCOUNT` string representing the LINE_DISCOUNT type
`static java.lang.String` | `S_ORDER_DISCOUNT` string representing the ORDER_DISCOUNT type
`static java.lang.String` | `S_ORDER_TAX` string representing the ORDER_TAX type
`static java.lang.String` | `S_SHIPPING` string representing the SHIPPING type
`static java.lang.String` | `S_SHIPPING_BASE_PRICE` string representing the SHIPPING_BASE_PRICE type
`static java.lang.String` | `S_SHIPPING_DISCOUNT` string representing the SHIPPING_DISCOUNT type
`static AdjustmentType` | `SHIPPING` object for the LINE_DISCOUNT type
`static AdjustmentType` | `SHIPPING_BASE_PRICE` object for the LINE_DISCOUNT type
`static AdjustmentType` | `SHIPPING_DISCOUNT` object for the LINE_DISCOUNT type

Method Summary
`boolean` | `equals(java.lang.Object object)` Compares the specified object to this object.
`int` | `getInt()` Returns the string value for this instance.
`static AdjustmentType` | `getObject(java.lang.String token)`
`java.lang.String` | `getString()` Returns the string value for this instance.
`int` | `hashCode()` Returns a hashcode value for the object.
`java.lang.String` | `toString()` Returns a string value and the class name for the instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_LINE_DISCOUNT

    public static final int I_LINE_DISCOUNT

  integer representing the LINE_DISCOUNT type

### I_ORDER_DISCOUNT

    public static final int I_ORDER_DISCOUNT

  integer representing the ORDER_DISCOUNT type

### I_SHIPPING

    public static final int I_SHIPPING

  integer representing the SHIPPING type

### I_SHIPPING_DISCOUNT

    public static final int I_SHIPPING_DISCOUNT

  integer representing the SHIPPING_DISCOUNT type

### I_ITEM_TAX

    public static final int I_ITEM_TAX

  integer representing the ITEM_TAX type

### I_ORDER_TAX

    public static final int I_ORDER_TAX

  integer representing the ORDER_TAX type

### I_BASE_PRICE

    public static final int I_BASE_PRICE

  integer representing the BASE_PRICE type

### I_SHIPPING_BASE_PRICE

    public static final int I_SHIPPING_BASE_PRICE

  integer representing the SHIPPING_BASE_PRICE type

### LINE_DISCOUNT

    public static final AdjustmentType LINE_DISCOUNT

  object for the LINE_DISCOUNT type

### ORDER_DISCOUNT

    public static final AdjustmentType ORDER_DISCOUNT

  object for the LINE_DISCOUNT type

### SHIPPING

    public static final AdjustmentType SHIPPING

  object for the LINE_DISCOUNT type

### SHIPPING_DISCOUNT

    public static final AdjustmentType SHIPPING_DISCOUNT

  object for the LINE_DISCOUNT type

### ITEM_TAX

    public static final AdjustmentType ITEM_TAX

  object for the LINE_DISCOUNT type

### ORDER_TAX

    public static final AdjustmentType ORDER_TAX

  object for the LINE_DISCOUNT type

### BASE_PRICE

    public static final AdjustmentType BASE_PRICE

  object for the LINE_DISCOUNT type

### SHIPPING_BASE_PRICE

    public static final AdjustmentType SHIPPING_BASE_PRICE

  object for the LINE_DISCOUNT type

### S_LINE_DISCOUNT

    public static final java.lang.String S_LINE_DISCOUNT

  string representing the LINE_DISCOUNT type

### S_ORDER_DISCOUNT

    public static final java.lang.String S_ORDER_DISCOUNT

  string representing the ORDER_DISCOUNT type

### S_SHIPPING

    public static final java.lang.String S_SHIPPING

  string representing the SHIPPING type

### S_SHIPPING_DISCOUNT

    public static final java.lang.String S_SHIPPING_DISCOUNT

  string representing the SHIPPING_DISCOUNT type

### S_ITEM_TAX

    public static final java.lang.String S_ITEM_TAX

  string representing the ITEM_TAX type

### S_ORDER_TAX

    public static final java.lang.String S_ORDER_TAX

  string representing the ORDER_TAX type

### S_BASE_PRICE

    public static final java.lang.String S_BASE_PRICE

  string representing the BASE_PRICE type

### S_SHIPPING_BASE_PRICE

    public static final java.lang.String S_SHIPPING_BASE_PRICE

  string representing the SHIPPING_BASE_PRICE type

Method Detail

### toString

    public java.lang.String toString()

  Returns a string value and the class name for the instance. This method is intended for debugging and may change. Use the getString() method to obtain the string value of the object.

  Overrides:
    toString in class java.lang.Object

### getString

    public java.lang.String getString()

  Returns the string value for this instance.

### getInt

    public int getInt()

  Returns the string value for this instance.

### getObject

    public static AdjustmentType getObject(java.lang.String token)

  Parameters:
    `token` - a string to match to a AdjustmentType object
  Returns:
    the AdjustmentType object that corrsponds to the specified string token.

### equals

    public boolean equals(java.lang.Object object)

  Compares the specified object to this object. If the specified object is identical to this object this method will return true. False will be returned otherwise.

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved